Function vbSplitW(SourceStr As CWStr, delimeter As CWStr, StrArray() As CWStr) As Long
   Dim As Integer ff1,ff2,u,umax,ld
   If Len(SourceStr) = 0 Then Return -1
   ld = Len(delimeter)
   ff1 = 1 - ld
   u = -1
   umax = 100  '加速数组操作
   ReDim StrArray(umax)
   
   Do
      ff2 = InStr(ff1 + ld, **SourceStr, **delimeter)
      u += 1
      If u > umax Then
         umax += 100
         ReDim Preserve StrArray(umax)
      End If
      If ff2 = 0 Then '没有分割符合了
         StrArray(u) = Mid( **SourceStr, ff1 + ld)
         Exit Do
      End If
      StrArray(u) = Mid( **SourceStr, ff1 + ld, ff2 - ff1 - ld)
      ff1 = ff2
   Loop
   ReDim Preserve StrArray(u)
   
   Function = u + 1
End Function